#!/bin/bash

set -e
shopt -s nullglob

audio_only=0

if [ -d /sys/class/graphics/fb0 ]
then
	card=$(basename /sys/class/graphics/fb0/device/drm/card?/)

	if [ $(</sys/class/graphics/fb0/device/drm/$card/$card-HDMI-A-1/status) = "connected" ]
	then
		echo "Using HDMI port 1"
		AUDIO_DEV="hdmi:CARD=vc4hdmi0,DEV=0"
	elif [ $(</sys/class/graphics/fb0/device/drm/$card/$card-HDMI-A-2/status) = "connected" ]
	then
		echo "Using HDMI port 2"
		AUDIO_DEV="hdmi:CARD=vc4hdmi1,DEV=0"
	else
		echo "Audio Only (No Connection)"
		AUDIO_DEV="default"
		amixer set Master 100%
		audio_only=1
	fi
else
	echo "Audio Only (No FBDev)"
	AUDIO_DEV="default"
	amixer set Master 100%
	audio_only=1
fi

if [ $audio_only != "0" ]
then
	files=(/mnt/*.{mp3,wav,flac,ogg})
else
	files=(/mnt/*.{mp4,mp3,mov,wav,flac,ogg})
fi

echo "Playlist: ${files[@]}"

if [ ${#files[@]} != "0" ]
then
	cvlc --vout drm_vout --drm-vout-source-modeset --aout alsa --alsa-audio-device $AUDIO_DEV --loop --random --no-video-title "${files[@]}"
fi
