#!/bin/bash

set -e

if test -e pi.img
then
	echo "pi.img already exists, exiting"
	exit
fi

function cleanup
{
	sudo umount root/boot/
	sudo umount root/

	sudo sync
	sudo losetup -d "$lodev"

	echo "Done!"
}

trap cleanup EXIT

truncate -s 2500M pi.img

sfdisk pi.img << EOF
start=2048, size=256M, type=0c
type=83
EOF

mkdir -p root

lodev=$(sudo losetup -Pf --show "$(realpath pi.img)")
sudo mkfs.vfat -n "BOOT" "${lodev}p1"
sudo mkfs.ext4 -L "ROOT" "${lodev}p2"

sudo mount "${lodev}p2" root
sudo mkdir -p root/boot/
sudo mount "${lodev}p1" root/boot/

sudo pacstrap -GMcC pacman.conf root linux-rpi systemd systemd-sysvcompat exfat-utils vlc-rpi gnu-free-fonts

sudo install -m 644 files/partcheck.service root/etc/systemd/system/
sudo install -m 644 files/play.service root/etc/systemd/system/
sudo install files/partcheck.sh root/usr/local/bin/
sudo install files/play.sh root/usr/local/bin/
sudo install files/postinstall.sh root/

sudo arch-chroot root bash /postinstall.sh

sudo install -m 644 files/fstab root/etc/fstab